{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.man;
in
{
  options.marleyos.programs.man.enable = mkEnableOption "man";

  config = mkIf cfg.enable {
    programs.man.enable = true;

    home.sessionVariables = {
      MANWIDTH = "80";
      # TODO: Only set this is nvim is installed. Also install plugin here?
      MANPAGER = "nvim +NoNeckPain '+set nowrap' +Man!";
    };
  };
}
