{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.xorg.xsession;
in
{
  options.marleyos.xorg.xsession.enable = mkEnableOption "xsession";

  config = mkIf cfg.enable {
    xsession = {
      enable = true;

      numlock.enable = true;

      # TODO: Switch to autorandr.
      profileExtra = # sh
        ''
          sudo mount -a
          "${config.home.homeDirectory}/.config/xrandr/desktop.sh"
        '';

      initExtra = # sh
        ''
          mpd &
          pidgin &
        '';
    };
  };
}
